using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Hopfield_Tank_Neural_Network_Namespace {
	public class PlaceCityDialog : System.Windows.Forms.Form	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		internal System.Windows.Forms.TextBox txtName;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.ComponentModel.Container components = null;

		public PlaceCityDialog()	{
			InitializeComponent();
		}

	#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		this.label1 = new System.Windows.Forms.Label();
		this.label2 = new System.Windows.Forms.Label();
		this.txtName = new System.Windows.Forms.TextBox();
		this.btnOK = new System.Windows.Forms.Button();
		this.btnCancel = new System.Windows.Forms.Button();
		this.SuspendLayout();
		// 
		// label1
		// 
		this.label1.Location = new System.Drawing.Point(36, 8);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(136, 23);
		this.label1.TabIndex = 0;
		this.label1.Text = "Creating a New City";
		this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
		// 
		// label2
		// 
		this.label2.Location = new System.Drawing.Point(8, 40);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(64, 23);
		this.label2.TabIndex = 1;
		this.label2.Text = "City name:";
		this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtName
		// 
		this.txtName.Location = new System.Drawing.Point(72, 40);
		this.txtName.Name = "txtName";
		this.txtName.Size = new System.Drawing.Size(120, 20);
		this.txtName.TabIndex = 1;
		this.txtName.Text = "";
		this.txtName.TextChanged += new System.EventHandler(this.txtName_TextChanged);
		// 
		// btnOK
		// 
		this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
		this.btnOK.Location = new System.Drawing.Point(8, 72);
		this.btnOK.Name = "btnOK";
		this.btnOK.Size = new System.Drawing.Size(88, 23);
		this.btnOK.TabIndex = 0;
		this.btnOK.Text = "OK";
		this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
		// 
		// btnCancel
		// 
		this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
		this.btnCancel.Location = new System.Drawing.Point(104, 72);
		this.btnCancel.Name = "btnCancel";
		this.btnCancel.Size = new System.Drawing.Size(88, 23);
		this.btnCancel.TabIndex = 2;
		this.btnCancel.Text = "Cancel";
		this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
		// 
		// PlaceCityDialog
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(200, 102);
		this.ControlBox = false;
		this.Controls.Add(this.btnCancel);
		this.Controls.Add(this.btnOK);
		this.Controls.Add(this.txtName);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.label1);
		this.Name = "PlaceCityDialog";
		this.Text = "Place New City";
		this.Load += new System.EventHandler(this.PlaceCityDialog_Load);
		this.ResumeLayout(false);

	}
		#endregion

		private void PlaceCityDialog_Load(object sender, System.EventArgs e) {
			int i = (new Random()).Next(138);
			switch (i) {
				case 1: txtName.Text = "Baltimore"; break;
				case 2: txtName.Text = "Chicago"; break;
				case 3: txtName.Text = "Cincinnati"; break;
				case 4: txtName.Text = "New York City"; break;
				case 5: txtName.Text = "Kansas City"; break;
				case 6: txtName.Text = "San Diego"; break;
				case 7: txtName.Text = "San Francisco"; break;
				case 8: txtName.Text = "Paris"; break;
				case 9: txtName.Text = "Berlin"; break;
				case 10: txtName.Text = "Washington D.C."; break;
				case 11: txtName.Text = "Cincinnati"; break;
				case 12: txtName.Text = "Columbus"; break;
				case 13: txtName.Text = "Philadelphia"; break;
				case 14: txtName.Text = "New Orleans"; break;
				case 15: txtName.Text = "Dallas"; break;
				case 16: txtName.Text = "Salt Lake City"; break;
				case 17: txtName.Text = "Houston"; break;
				case 18: txtName.Text = "Los Angeles"; break;
				case 19: txtName.Text = "Boston"; break;
				case 20: txtName.Text = "Detroit"; break;
				case 21: txtName.Text = "Toronto"; break;
				case 22: txtName.Text = "Albany"; break;
				case 23: txtName.Text = "Orlando"; break;
				case 24: txtName.Text = "Anchorage"; break;
				case 25: txtName.Text = "Brussels"; break;
				case 26: txtName.Text = "London"; break;
				case 27: txtName.Text = "Denver"; break;
				case 28: txtName.Text = "San Antonio"; break;
				case 29: txtName.Text = "Tampa"; break;
				case 30: txtName.Text = "Miami"; break;
				case 31: txtName.Text = "Atlanta"; break;
				case 32: txtName.Text = "Providence"; break;
				case 33: txtName.Text = "Tallahassee"; break;
				case 34: txtName.Text = "Nashville"; break;
				case 35: txtName.Text = "Las Vegas"; break;
				case 36: txtName.Text = "Santa Fe"; break;
				case 37: txtName.Text = "Boise"; break;
				case 38: txtName.Text = "Seattle"; break;
				case 39: txtName.Text = "Portland"; break;
				case 40: txtName.Text = "Bismarck"; break;
				case 41: txtName.Text = "Minneapolis"; break;
				case 42: txtName.Text = "Milwaukee"; break;
				case 43: txtName.Text = "Montreal"; break;
				case 44: txtName.Text = "Winnipeg"; break;
				case 45: txtName.Text = "Calgary"; break;
				case 46: txtName.Text = "Birmingham"; break;
				case 47: txtName.Text = "St. Louis"; break;
				case 48: txtName.Text = "Little Rock"; break;
				case 49: txtName.Text = "Oklahoma City"; break;
				case 50: txtName.Text = "Indianapolis"; break;
				case 51: txtName.Text = "Pittsburgh"; break;
				case 52: txtName.Text = "Phoenix"; break;
				case 53: txtName.Text = "Omaha"; break;
				case 54: txtName.Text = "Wichita"; break;
				case 55: txtName.Text = "Lexington"; break;
				case 56: txtName.Text = "Louisville"; break;
				case 57: txtName.Text = "Richmond"; break;
				case 58: txtName.Text = "Charlotte"; break;
				case 59: txtName.Text = "Savannah"; break;
				case 60: txtName.Text = "Stalingrad"; break;
				case 61: txtName.Text = "Leningrad"; break;
				case 62: txtName.Text = "Moscow"; break;
				case 63: txtName.Text = "Baghdad"; break;
				case 64: txtName.Text = "Grand Rapids"; break;
				case 65: txtName.Text = "Ottawa"; break;
				case 66: txtName.Text = "Guatemala City"; break;
				case 67: txtName.Text = "Mexico City"; break;
				case 68: txtName.Text = "Havana"; break;
				case 69: txtName.Text = "San Juan"; break;
				case 70: txtName.Text = "Rio de Janeiro"; break;
				case 71: txtName.Text = "Madrid"; break;
				case 72: txtName.Text = "Barcelona"; break;
				case 73: txtName.Text = "Marseilles"; break;
				case 74: txtName.Text = "Amsterdam"; break;
				case 75: txtName.Text = "Dublin"; break;
				case 76: txtName.Text = "Glasgow"; break;
				case 77: txtName.Text = "Frankfurt"; break;
				case 78: txtName.Text = "Hamburg"; break;
				case 79: txtName.Text = "Munich"; break;
				case 80: txtName.Text = "Milan"; break;
				case 81: txtName.Text = "Rome"; break;
				case 82: txtName.Text = "Naples"; break;
				case 83: txtName.Text = "Genoa"; break;
				case 84: txtName.Text = "Belgrade"; break;
				case 85: txtName.Text = "Zagreb"; break;
				case 86: txtName.Text = "Sofia"; break;
				case 87: txtName.Text = "Athens"; break;
				case 88: txtName.Text = "Istanbul"; break;
				case 89: txtName.Text = "Budapest"; break;
				case 90: txtName.Text = "Warsaw"; break;
				case 91: txtName.Text = "Kiev"; break;
				case 92: txtName.Text = "Belarus"; break;
				case 93: txtName.Text = "Stockholm"; break;
				case 94: txtName.Text = "Oslo"; break;
				case 95: txtName.Text = "Minsk"; break;
				case 96: txtName.Text = "Kolkata"; break;
				case 97: txtName.Text = "Beijing"; break;
				case 98: txtName.Text = "Hong Kong"; break;
				case 99: txtName.Text = "Tokyo"; break;
				case 100: txtName.Text = "Mumbai"; break;
				case 101: txtName.Text = "Bhopal"; break;
				case 102: txtName.Text = "Delhi"; break;
				case 103: txtName.Text = "Kabul"; break;
				case 104: txtName.Text = "Mosul"; break;
				case 105: txtName.Text = "Jerusalem"; break;
				case 106: txtName.Text = "Damascus"; break;
				case 107: txtName.Text = "Riyadh"; break;
				case 108: txtName.Text = "Mecca"; break;
				case 109: txtName.Text = "Dubai"; break;
				case 110: txtName.Text = "Alexandria"; break;
				case 111: txtName.Text = "Cairo"; break;
				case 112: txtName.Text = "Tunis"; break;
				case 113: txtName.Text = "Tripoli"; break;
				case 114: txtName.Text = "Algiers"; break;
				case 115: txtName.Text = "Beirut"; break;
				case 116: txtName.Text = "Bangkok"; break;
				case 117: txtName.Text = "Ho Chi Minh City"; break;
				case 118: txtName.Text = "Hanoi"; break;
				case 119: txtName.Text = "Chengdu"; break;
				case 120: txtName.Text = "Guangzhou"; break;
				case 121: txtName.Text = "Seoul"; break;
				case 122: txtName.Text = "Shanghai"; break;
				case 123: txtName.Text = "Phnom Penh"; break;
				case 124: txtName.Text = "Mandalay"; break;
				case 125: txtName.Text = "Kuala Lumpur"; break;
				case 126: txtName.Text = "Singapore"; break;
				case 127: txtName.Text = "Jakarta"; break;
				case 128: txtName.Text = "Perth"; break;
				case 129: txtName.Text = "Melbourne"; break;
				case 130: txtName.Text = "Sydney"; break;
				case 131: txtName.Text = "Brisbane"; break;
				case 132: txtName.Text = "Hokkaido"; break;
				case 133: txtName.Text = "Kyoto"; break;
				case 134: txtName.Text = "Kagashima"; break;
				case 135: txtName.Text = "Fukuoka"; break;
				case 136: txtName.Text = "Murmansk"; break;
				case 137: txtName.Text = "Turin"; break;
				case 138: txtName.Text = "Lisbon"; break;
				default: txtName.Text = "Cleveland"; break;
			}
		}

		private void txtName_TextChanged(object sender, System.EventArgs e) {
			btnOK.Enabled = txtName.Text.Length > 0;
		}

		private void btnOK_Click(object sender, System.EventArgs e) {
			Close();
		}

		private void btnCancel_Click(object sender, System.EventArgs e) {
			Close();
		}
	}
}
